Create a gear profile.
curl --request POST \
--url https://api.nebyoulous.space/gear/profiles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>'})
};
fetch('https://api.nebyoulous.space/gear/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/gear/profiles"
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"profile": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"members": [
{
"gearProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gearItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sortOrder": 0,
"role": "<string>",
"gearItem": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "CAMERA",
"manufacturer": "<string>",
"model": "<string>",
"displayName": "<string>",
"spec": "<unknown>",
"notes": "<string>",
"archivedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}
]
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Gear and rigs
Create a gear profile.
POST
/
gear
/
profiles
Create a gear profile.
curl --request POST \
--url https://api.nebyoulous.space/gear/profiles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>'})
};
fetch('https://api.nebyoulous.space/gear/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/gear/profiles"
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"profile": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"members": [
{
"gearProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gearItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sortOrder": 0,
"role": "<string>",
"gearItem": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "CAMERA",
"manufacturer": "<string>",
"model": "<string>",
"displayName": "<string>",
"spec": "<unknown>",
"notes": "<string>",
"archivedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}
]
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
An access token issued by a Nebyoulous sign-in: the web session, nebyoulous login, or an MCP OAuth grant.
Body
application/json
Response
Default Response
Show child attributes
Show child attributes